This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 509676 - Perl sys/ioctl.ph contains errors
Perl sys/ioctl.ph contains errors
Status: CLOSED CURRENTRELEASE
Product: Fedora
Classification: Fedora
Component: perl (Show other bugs)
10
All Linux
low Severity medium
: ---
: ---
Assigned To: Stepan Kasal
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2009-07-04 19:18 EDT by Penelope Fudd
Modified: 2009-11-18 07:10 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-11-18 07:10:56 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)


External Trackers
Tracker ID Priority Status Summary Last Updated
Debian BTS 379757 None None None Never

  None (edit)
Description Penelope Fudd 2009-07-04 19:18:52 EDT
Description of problem:
The file /usr/lib/perl5/5.10.0/i386-linux-thread-multi/sys/ioctl.ph contains
errors.

Version-Release number of selected component (if applicable):
perl-5.10.0-68.fc10.i386

How reproducible:
Always

Steps to Reproduce:
1. Write one-line perl program, run it with -w
2. Read errors

  
Actual results:
Constant subroutine __USE_POSIX undefined at /usr/lib/perl5/5.10.0/i386-linux-thread-multi/features.ph line 9.
Constant subroutine __USE_POSIX2 undefined at /usr/lib/perl5/5.10.0/i386-linux-thread-multi/features.ph line 10.
Constant subroutine __USE_POSIX199309 undefined at /usr/lib/perl5/5.10.0/i386-linux-thread-multi/features.ph line 11.
Constant subroutine __USE_POSIX199506 undefined at /usr/lib/perl5/5.10.0/i386-linux-thread-multi/features.ph line 12.
Constant subroutine __USE_XOPEN undefined at /usr/lib/perl5/5.10.0/i386-linux-thread-multi/features.ph line 13.
Constant subroutine __USE_XOPEN_EXTENDED undefined at /usr/lib/perl5/5.10.0/i386-linux-thread-multi/features.ph line 14.
Constant subroutine __USE_UNIX98 undefined at /usr/lib/perl5/5.10.0/i386-linux-thread-multi/features.ph line 15.
Constant subroutine __USE_LARGEFILE undefined at /usr/lib/perl5/5.10.0/i386-linux-thread-multi/features.ph line 17.
Constant subroutine __USE_LARGEFILE64 undefined at /usr/lib/perl5/5.10.0/i386-linux-thread-multi/features.ph line 18.
Constant subroutine __USE_FILE_OFFSET64 undefined at /usr/lib/perl5/5.10.0/i386-linux-thread-multi/features.ph line 19.
Constant subroutine __USE_BSD undefined at /usr/lib/perl5/5.10.0/i386-linux-thread-multi/features.ph line 20.
Constant subroutine __USE_SVID undefined at /usr/lib/perl5/5.10.0/i386-linux-thread-multi/features.ph line 21.
Constant subroutine __USE_MISC undefined at /usr/lib/perl5/5.10.0/i386-linux-thread-multi/features.ph line 22.
Constant subroutine __USE_GNU undefined at /usr/lib/perl5/5.10.0/i386-linux-thread-multi/features.ph line 24.
Constant subroutine __USE_REENTRANT undefined at /usr/lib/perl5/5.10.0/i386-linux-thread-multi/features.ph line 25.
Constant subroutine _POSIX_SOURCE undefined at /usr/lib/perl5/5.10.0/i386-linux-thread-multi/features.ph line 50.
Constant subroutine _POSIX_C_SOURCE undefined at /usr/lib/perl5/5.10.0/i386-linux-thread-multi/features.ph line 52.
Constant subroutine _XOPEN_SOURCE undefined at /usr/lib/perl5/5.10.0/i386-linux-thread-multi/features.ph line 54.
Constant subroutine _XOPEN_SOURCE_EXTENDED undefined at /usr/lib/perl5/5.10.0/i386-linux-thread-multi/features.ph line 56.
Constant subroutine _LARGEFILE64_SOURCE undefined at /usr/lib/perl5/5.10.0/i386-linux-thread-multi/features.ph line 58.
Constant subroutine _LARGEFILE_SOURCE undefined at /usr/lib/perl5/5.10.0/i386-linux-thread-multi/features.ph line 108.
Constant subroutine __USE_ISOC99 undefined at /usr/lib/perl5/5.10.0/i386-linux-thread-multi/features.ph line 112.
Constant subroutine __GNU_LIBRARY__ undefined at /usr/lib/perl5/5.10.0/i386-linux-thread-multi/features.ph line 166.
Operator or semicolon missing before &__inline at (eval 96) line 1.
Ambiguous use of & resolved as operator & at (eval 96) line 1.


Expected results:
No errors.

Additional info:
The test program:

#!/usr/bin/perl -w
require 'sys/ioctl.ph';
Comment 1 Stepan Kasal 2009-07-09 11:22:50 EDT
As shown in the Debian report linked from this bug, the problem can be worked around by
changing line 3 in /usr/lib*/perl5/5.10.0/*/features.ph from
     no warnings 'redefine';
to
     no warnings qw(redefine misc);
Comment 2 Stepan Kasal 2009-07-14 08:48:20 EDT
Fixed in perl-5.10.0-74, available at rawhide.
Fedora 10 and 11 Testing Updates are to be made soon.
Comment 3 Fedora Update System 2009-09-18 16:22:19 EDT
perl-5.10.0-82.fc11 has been submitted as an update for Fedora 11.
http://admin.fedoraproject.org/updates/perl-5.10.0-82.fc11
Comment 4 Fedora Update System 2009-10-06 06:07:14 EDT
perl-5.10.0-82.fc11 has been pushed to the Fedora 11 stable repository.  If problems still persist, please make note of it in this bug report.
Comment 5 Bug Zapper 2009-11-18 07:08:58 EST
This message is a reminder that Fedora 10 is nearing its end of life.
Approximately 30 (thirty) days from now Fedora will stop maintaining
and issuing updates for Fedora 10.  It is Fedora's policy to close all
bug reports from releases that are no longer maintained.  At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '10'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 10's end of life.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 10 is end of life.  If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora please change the 'version' of this 
bug to the applicable version.  If you are unable to change the version, 
please add a comment here and someone will do it for you.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.